/* Copyright 1999 by Herve Regad-Pellagru, E-mail: herve.regadpellagru@free.fr

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

/* This is the number of seconds the client waits for an answer from the server
   before cycling. You should leaves this untouched */
#define CLIENT_TIME_OUT_SELECT_SECONDS	1
/* This is the number of micro-seconds the client waits for an answer from the server
   before cycling. You should leaves this untouched */
#define CLIENT_TIME_OUT_SELECT_USECONDS	0
/* This is the number of seconds the server waits for a request from the client
   before cycling and getting eventual polls from the CM11A. With big houses
   and lot of X10 traffic and maybe CM11A buffer overrun, one could lower this.
   The lesser, the less x10 events you could miss when heavy traffic occur, but
   the more CPU you consume */
#define SERVER_TIME_OUT_SELECT_SECONDS	1
/* This is the same as above, but in microseconds. For example, setting 
   SERVER_TIME_OUT_SELECT_SECONDS to 0 and SERVER_TIME_OUT_SELECT_USECONDS
   to 1000 will result in 0.001 second being waited */
#define SERVER_TIME_OUT_SELECT_USECONDS	0
/* This is the time we wait for the CM11A polls. You should leave this untouched */
#define PERIOD_POLL_CM11A			200000
/* This is the time we wait a read(2) from the CM11A. You should leave this untouched */
#define TIMEOUT_READ_CM11A			2000000

/* max buffer size */
#define MAXBUF				1024

#define SENDLOG_STRING(string) {server_log_event(string);\
		write(sock,string,sizeof(string));}
#define SEND_STRING(string) {write(sock,string,sizeof(string));}
